Get block by number
curl --request GET \
--url https://api.hypedexer.com/elysium/mainnet/blocks/{block_number} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"block_time": "2023-11-07T05:31:56Z",
"block_number": 123,
"block_hash": "<string>",
"parent_hash": "<string>",
"gas_limit": 123,
"gas_used": 123,
"base_fee_per_gas": 123,
"l1_block_number": 123,
"tx_count": 123,
"user_tx_count": 123,
"batch_number": null
},
"execution_time_ms": 123,
"has_more": true
}Blocks
Get block by number
Block header plus batch_number: the HyperEVM batch containing it (null until posted).
GET
/
elysium
/
mainnet
/
blocks
/
{block_number}
Get block by number
curl --request GET \
--url https://api.hypedexer.com/elysium/mainnet/blocks/{block_number} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hypedexer.com/elysium/mainnet/blocks/{block_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"block_time": "2023-11-07T05:31:56Z",
"block_number": 123,
"block_hash": "<string>",
"parent_hash": "<string>",
"gas_limit": 123,
"gas_used": 123,
"base_fee_per_gas": 123,
"l1_block_number": 123,
"tx_count": 123,
"user_tx_count": 123,
"batch_number": null
},
"execution_time_ms": 123,
"has_more": true
}Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Headers
Path Parameters
Block number
Required range:
x >= 0